import { PieChartBase } from "./PieChartBase";
import { PieChartBaseView } from "./PieChartBaseView";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class XamPieChart extends PieChartBase {
    static $t: Type;
    ar(): PieChartBaseView;
    e6(a: PieChartBaseView): void;
    hb: XamPieChartView;
    constructor();
}
/**
 * @hidden
 */
export declare class XamPieChartView extends PieChartBaseView {
    static $t: Type;
    protected b4: XamPieChart;
    constructor(a: XamPieChart);
}
